> ## Name

> cgIsParentType - determine if a type is a parent of another type

> ## Synopsis

>     #include <Cg/cg.h>

>     CGbool cgIsParentType( CGtype parent,
>                            CGtype child );

> ## Parameters

> parent
>   The parent type.
> child
>   The child type.

> ## Return Values

> Returns CG_TRUE if parent is a parent type of child.

> Returns CG_FALSE otherwise.

> ## Description

> cgIsParentType returns CG_TRUE if parent is a parent type of child. Otherwise CG_FALSE is returned.

> ## Examples

> to-be-written

> ## Errors

> None.

> ## History

> cgIsParentType was introduced in Cg 1.2.

> ## See Also

> cgGetParentType